Bug 303648 - add navigation in message box
Summary: add navigation in message box
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: openSUSE RPMs Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 08:37 UTC by Alin M Elena
Modified: 2012-11-09 16:59 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin M Elena 2012-07-17 08:37:28 UTC
would be nice to have navigation through previous messages sent to a contact in the message text edit... like konversation has... up/down arrows allow you to retrieve previously send messages.



Reproducible: Always
Comment 1 Daniel Vrátil 2012-11-09 16:59:09 UTC
Git commit d0c550946527ed1ef727674d423fba35c9a97a5f by Dan Vrátil.
Committed on 09/11/2012 at 17:56.
Pushed by dvratil into branch 'master'.

Navigation through history of sent messages in message editor

This implements navigation through history of sent messages
by pressing Up and Down arrow keys like in Konversation.

REVIEW: 106245
FIXED-IN: 0.6.0

M  +60   -0    lib/chat-text-edit.cpp
M  +7    -0    lib/chat-text-edit.h

http://commits.kde.org/telepathy-text-ui/d0c550946527ed1ef727674d423fba35c9a97a5f